# Uses of Enum
org.eclipse.microprofile.openapi.models.media.Schema.SchemaType

Packages that use Schema.SchemaType
Package
Description
org.eclipse.microprofile.openapi.models.media
A set of interfaces for programmable models to represent input and output data types and media types.

## Uses of Schema.SchemaType in org.eclipse.microprofile.openapi.models.media

Methods in org.eclipse.microprofile.openapi.models.media that return Schema.SchemaType
Modifier and Type
Method
Description
`Schema.SchemaType`
Schema.`getType()`
Returns the type property from this Schema.
`static Schema.SchemaType`
Schema.SchemaType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Schema.SchemaType[]`
Schema.SchemaType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.openapi.models.media with parameters of type Schema.SchemaType
Modifier and Type
Method
Description
`void`
Schema.`setType(Schema.SchemaType type)`
Sets the type used by this Schema to the string given.
`default Schema`
Schema.`type(Schema.SchemaType type)`
Sets the type used by this Schema to the string given.